
<div class="container">
    <div class="row">
      <div *ngFor="let product of products" class="col-md-4 mb-4">
        <div class="card">
          <img [src]="product.imgsrc" class="card-img-top" alt="{{ product.name }}">
          <div class="card-body">
            <h5 class="card-title">{{ product.name }}</h5>
            <p class="card-text">{{ product.description }}</p>
            <p class="card-text">${{ product.price.toFixed(2) }}</p>
            <!-- Add any other product details here -->
          </div>
        </div>
      </div>
    </div>
  </div>
  